:root {
    --color-yellow: #fed631;
    --color-logo-darkyellow: #1f3832;
    --color-darkyellow: #dfbc2d;
    --color-grey: #454545;
    --color-mediumgrey: #4b4b4b;
    --color-darkgrey: #292929;
    --color-white: #fff;
    --color-black: #212121;
    --color-discount: #d75656;
    --color-lightgrey: hsl(0, 0%, 93%);
	  --color-easygrey: #eff0f0;
	  --color-theme-dark: #2b2a2b;
}
/*
  Header
*/
header {
  background:linear-gradient(0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('../img/background.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  height: 100vh;
}

header.small {
  background: #fff;
  height: 133px;
}

@media (max-width: 768px) {
  header {
    background-attachment: scroll;
  }
}

.header-navigation {
  background-color: transparent;
  transition: all .5s;
  z-index: 997;
  padding: 1.5rem 0;
  padding-bottom: 19px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.header-navigation.scrolled {
  background-color: rgba(255, 255, 255);
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.25);
}

header.small .header-navigation {
  background-color: rgba(255, 255, 255);
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.25);
}

.header-navigation .navigation-logo {
  width: 100%;
}

@media (max-width: 414px) {
  .header-navigation .navigation-logo {
    width: 250px;
  }
}

@media (max-width: 364px) {
  .header-navigation .navigation-logo {
    width: 180px;
  }
}

.header-navigation .nav-link {
  color: rgba(255, 255, 255, 1);
  font-size: 1.2rem;
  text-transform: uppercase;
  font-weight: 300;
  letter-spacing: 0;
  padding-left: 0.7rem !important;
  padding-right: 0.7rem !important;
}

.header-navigation .nav-link:hover {
  color: var(--color-darkyellow);
}

.header-navigation.scrolled .nav-link {
  color: rgba(0, 0, 0, 1);
}

header.small .header-navigation .nav-link {
  color: rgba(0, 0, 0, 1);
}

.header-navigation.scrolled .nav-link:hover {
  color: var(--color-darkyellow);
}

header.small .header-navigation .nav-link:hover {
  color: var(--color-darkgrey);
}

.header-navigation .nav-link.nav-contact-button {
  width: 150px;
  background-color: var(--color-yellow);
  color: var(--color-mediumgrey);
  border: none;
  margin-left: 15px;
  font-weight: 500;
}

.header-navigation .nav-link.nav-contact-button:hover {
  background-color: var(--color-darkyellow);
  border: none;
}

.navbar-toggler {
  border: none;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  width: 2em;
  height: 2em;
}

.navbar-toggler-icon.dark {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2837, 37, 37, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

/* scroll down icon animation */
@keyframes scrolldown-icon {
  from {bottom: 40px;}
  to {bottom: 20px;}
}

header .scroll-down-icon {
  position: absolute;
  font-size: 20pt;
  color: #fff;
  left: 50%;
  bottom: 40px;
  transform: translate(-50%, 0);
  transition: all .3s;
  animation-name: scrolldown-icon;
  animation-duration: 1s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

header .scroll-down-icon:hover {
  color: var(--color-darkyellow);
}

header .header_inner {
  position: relative;
  top: calc(50% - 50px);
  color: #fff;
}

header .header_inner p {
  font-size: 1.2rem;
}

header .header_inner .header_button {
  padding: 1rem 4rem;
  font-size: 1.2rem;
  font-weight: 300;
  line-height: 1;
  text-transform: uppercase;
  margin-top: 25px;
  background-color: var(--color-yellow);
  border: none;
}

header .header_inner .header_button:hover {
  background-color: var(--color-darkyellow);
}

.header-elements {
  position: relative;
}

.header-elements .header-element-image {
  position: absolute;
}

.header-elements .header-element-image:nth-child(1) {
  left: -65px;
  top: -150px;
  transform: rotate(20deg);
}

.header-elements .header-element-image:nth-child(2) {
  right: 50px;
  top: 40px;
  transform: rotate(-18deg);
  width: 400px;
}

@media (max-width: 1200px) {
  .header-elements .header-element-image:nth-child(2) {
    right: 22px;
    top: 90px;
    transform: rotate(-18deg);
    width: 400px;
  }
}

@media (max-width: 992px) {
  header .header_inner {
    text-align: center;
  }

  header .header_inner .header_button {
    margin-top: 2rem;
  }

  .header-elements {
    display: none;
  }
}


/*
  Sections
*/
section {
  padding: 8rem 0;
}

.section-title {
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 7rem;
}

.section-title p {
  text-transform: none;
}

.grey-section {
  background-color: #f1f1f1;
}

/*
  Cards
*/
.card.jobs {
  background-color: transparent;
  border: 0;
}

.card-title h2 {
  text-transform: uppercase;
  font-size: 1.2rem;
}

/*
  Jobs sections
*/
.jobs-margin {
  margin-top: 8rem;
}

.job-badge {
  font-size: 24pt;
  padding: 20px;
  border-radius: 100px;
  color: var(--color-mediumgrey);
  background-color: var(--color-darkyellow);
}

@media (max-width: 992px) {
  .jobs-margin {
    margin-top: 0;
  }

  .card.jobs .card-body {
    text-align: center;
  }

  .job-badge {
    margin: 2rem 0;
  }
}


/*
  Realizations section
*/
.realization-section {
  padding-bottom: 0;
}

.realizations-card {
  width: 18rem;
  height: 20rem;
  margin: 5px;
  cursor: pointer;
  transition: transform .3s;
}

.realizations-card:hover {
  transform: scale(1.05);
}

.realizations-card .card-img {
  height: 100%;
  object-fit: cover;
}

@media (max-width: 992px) {
  .realizations-card {
    width: 14rem;
    height: 16rem;
  }
}

@media (max-width: 768px) {
  .realizations-card {
    width: 6rem;
    height: 8rem;
  }
}

/*
  Realization videos
*/
.realization-videos {
  padding: 8rem 0;
  margin-top: 2rem;
}

.realization-videos .row {
  margin-top: 4rem;
}

.realization-videos .video {
  background-color: #000;
  position: relative;
  cursor: pointer;
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
}

.realization-videos .realization-video-thumb {
  width: 100%;
  opacity: 0.3;
}

.realization-videos .video .play-icon {
  color: #fff;
  font-size: 4rem;
  position: absolute;
  top: calc(50% - 48px);
  left: calc(50% - 32px);
  transition: all 0.3s;
}

.realization-videos .video:hover .play-icon {
  color: rgba(255, 255, 255, 0.5);
}

.realizations-video_show-more {
  margin-top: 4rem;
}

.realizations-video_show-more .show-more_button {
  display: block;
  margin: 8rem auto 4rem;
  padding: 1rem 6rem;
  text-transform: uppercase;
  background-color: #4D8C30;
}

.realizations-video_show-more .show-more_button:hover {
  background-color: #457a2c;
}

/*
  Contact section
*/
section.contact-section {
  background-color: var(--color-darkgrey);
  background-image: url('../img/footer/map_background.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position-x: center;
  padding: 60px 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

section.contact-section h3 {
  color: #fff;
}

section.contact-section .section-title {
  color: #fff;
}

section.contact-section .list-group-item, footer .list-group-item {
  background: transparent;
  transition: all 0.2s;
  padding: 0.5rem 0;
  color: #d1dad1;
  border: 0;
}

section.contact-section .list-group-item-action:focus, .list-group-item-action:hover, footer .list-group-item-action:focus, .list-group-item-action:hover {
  background-color: transparent;
  color: #fff;
}

section.contact-section .social-networks a {
  text-decoration: none;
  transition: all 0.2s;
  color: #d1dad1;
}

section.contact-section .social-networks a:hover {
  color: #fff;
}

.contact-input {
  padding: 1rem;
}

.contact-button {
  padding: .6rem;
}

.contact-button.big {
    padding: .6rem 5rem;
}

.btn-yellow {
  background-color: var(--color-yellow);
  color: var(--color-darkgrey);
  text-transform: uppercase;
}

.btn-yellow:hover {
  background-color: var(--color-darkyellow);
  color: var(--color-darkgrey);
}

.btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active {
  background-color: var(--color-darkyellow);
  color: var(--color-darkgrey);
}

.card.contact {
  background-color: #4D8C30;
  color: #fff;
  height: 6rem;
  border: 0;
  border-radius: 0;
  text-align: center;
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.75);
}

.row.contact>* {
  padding-right: 0;
  padding-left: 0;
}

.card.contact .card-body {
  display: flex;
  justify-content: center;
  align-items: center;
}

.card.contact h1 {
  font-size: 1.5rem;
  text-transform: uppercase;
  font-weight: 400;
  margin: 0;
}

.card.contact h2 {
  margin: 0;
  font-size: 1.5rem;
  font-weight: 300;
  text-transform: uppercase;
}

/*
  Footer
*/
footer {
  background-color: var(--color-darkgrey);
  color: #fff;
  padding: 8rem 0 1rem;
}

footer .footer-logo {
  width: 220px;
}

@media (max-width: 992px) {
  footer {
    padding: 10rem 0 1rem;
  }

  footer .footer-logo {
    display: none;
  }
}

footer h2 {
  text-transform: uppercase;
  font-size: 14pt;
  font-weight: 600;
}

footer section.bottom-footer {
  margin: 4rem 0 0;
  padding: 2rem 0 0;
  border-top: 1px solid rgba(255, 255, 255, .2);
}

footer section.bottom-footer p {
  color: rgba(255, 255, 255, .5);
}

@media (max-width: 992px) {
  footer section.bottom-footer {
    text-align: center;
  }
}

/*
  Text colors
*/
.text-yellow {
  color: var(--color-darkyellow);
}


/*
  Buttons
*/
.btn-outline-primary {
  color: var(--color-darkgrey);
  border-color: var(--color-yellow);
}

.btn-outline-primary:hover {
  color: var(--color-darkgrey) !important;
  border-color: var(--color-darkyellow) !important;
}

/*
  Product page
*/
.products-area {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -10px 30px;
}

.product-card {
  margin: 0 10px 20px;
  width: 30%;
  flex-grow: 1;
  color: var(--color-darkgrey);
  text-decoration: none;
}

.product-card:hover .card-img-top {
  transform: scale(1.1);
  transition: all .2s;
}

.product-card:hover .card-title {
  color: var(--color-yellow);
  transition: all .2s;
}

.card-img {
  overflow: hidden;
}

.product-card .card-img-top {
  width: 280px;
  height: 200px;
  margin: 0 auto;
}

.product-description p {
  margin-bottom: 3rem;
}

@media (max-width: 415px) {
  .product-card {
    width: 100%;
  }

  .categories-group {
    display: block;
  }

  .categories-group label {
    display: block;
    border-radius: 0.375rem !important;
    margin-bottom: 5px;
  }
}

/*
  Aktualności
*/
.news-box {
  text-decoration: none;
  color: var(--color-darkgrey);
}

.news-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  max-width: 74rem;
  margin: 0 auto;
}

.news-header_image {
  margin-bottom: 3.2rem;
  position: relative;
  aspect-ratio: 1 / 1;
  height: 48rem;
  width: 100%;
  max-width: 74rem;
}

.news-header_image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*
  Admin area
*/
.admin-signin {
  max-width: 330px;
  padding: 1rem;
}
